***

title: get_sip_endpoint
slug: /reference/python/rest/fabric/subscribers/get-sip-endpoint
description: Retrieve a SIP endpoint for a subscriber.
max-toc-depth: 3
---------------------

For a complete index of all SignalWire documentation pages, fetch https://signalwire.com/docs/llms.txt

Retrieve a single SIP endpoint for a [subscriber](/docs/platform/subscribers).

<EndpointSchemaSnippet endpoint="GET /api/fabric/resources/subscribers/{fabric_subscriber_id}/sip_endpoints/{id}" />

## **Response Example**

<EndpointResponseSnippet endpoint="GET /api/fabric/resources/subscribers/{fabric_subscriber_id}/sip_endpoints/{id}" />

## **Example**

```python {9}
from signalwire.rest import RestClient

client = RestClient(
    project="your-project-id",
    token="your-api-token",
    host="your-space.signalwire.com",
)

endpoint = client.fabric.subscribers.get_sip_endpoint("subscriber-id", "endpoint-id")
print(f"SIP Endpoint: {endpoint['username']}, ID: {endpoint['id']}")
```